### Function

# Gimp ConfigInterface string_append_escaped

#### Declaration [src]

    void
    gimp_config_string_append_escaped (
      GString* string,
      const gchar* val
    )

#### Description [src]

Escapes and quotes `val` and appends it to `string`. The escape algorithm is different from the one used by `g_strescape()` since it leaves non-ASCII characters intact and thus preserves UTF-8 strings. Only control characters and quotes are being escaped.

Available since: | 2.4

#### Parameters

`string` | `GString`
| Pointer to a `GString`.
| The data is owned by the caller of the function.
`val` | `const gchar*`
| A string to append or `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.